#include <iostream>

int const max_liste = 1000;


bool est_premier(unsigned n)
//Cette fonction renvoie "vrai" si n est premier, "faux" sinon.
{
  for (unsigned d=2; d*d<=n; d++)
	/*
	  On cherche un diviseur de n parmis les entiers de 2 a sqrt(n).
	  Noter que si n a un diviseur d entre 2 et n-1, alors d et n/d sont
	  deux diviseurs de n, dont un est inferieur a sqrt(n)
	*/
	if (n%d == 0)
	  return false; // Si on trouve un diviseur, n n'est pas premier
  
  return true; // Si on a parcouru tout l'ensemble {2,3,...,sqrt(n)} sans trouver de diviseur, n est premier
}


int main(void)
{
  for (unsigned n=2; n<=max_liste; n++)
	if (est_premier(n))
	  std::cout << n << "\n"; // On affiche les n de {2,...,max_liste} qui sont premiers
  
  return 0;
}

