#include<iostream>


// La fonction n(x) de l'énoncé, correspondant au premier indice tel que x_n = 1, partant de x_0 = x.
int n(int x0)
{
  if (x0<=1)
	return 0;

  int compte = 0;
  
  while (x0>1)
	{
	  // Une itération
	  if (x0%2 == 0)
		x0 /= 2;
	  else
		x0 = 3*x0+1;


	  // On compte les itérations
	  compte += 1;
	}
  return compte;
}


int main(void)
{
  int nx0_max = 0; //Pour stocker le rang n(x0) le plus grand.
  int nx0;
  int x0_max = 1; // Pour stocker le x0 donnant le n(x0) le plus grand.

  for (int x0=1; x0<=100; x0++)
	{
	  nx0 = n(x0); // On stocke n(x0) pour ne pas avoir à le calculer plusieurs fois.
	  if (nx0_max<nx0)
		{
		  nx0_max = nx0;
		  x0_max = x0;
		}
	}

  std::cout << "Pour un x0<=100, la suite mettant le plus de temps à atteindre 0 part de x0 = " << x0_max << ". La longueur de la suite est alors " << nx0_max << ".\n";
  
  return 0;
}

