#include <iostream>


double P(double x)
// La fonction P(x) = x^5-x-1
{
  return x*x*x*x*x - x - 1;
}


double dP(double x)
// La derivee de P : P'(x) = 5x^4-1
{
  return 5*x*x*x*x - 1;
}


int main(void)
{
  double x = 2, y = x-P(x)/dP(x);
  // On part de la condition initiale 2
  std::cout << "Condition initiale : " << x << "\n";
  int n = 0;
  while (x != y)
	// On itere l'algorithme tant que x_{n+1} est different de x_n. "Grace" aux erreurs d'arrondi, cela va arriver au bout de quelques iterations.
	{
	  n ++;
	  x = y;
	  y = x - P(x)/dP(x);
	  std::cout << "Itération numéro " << n << " : " << x << "\n";
	}

  std::cout << "La valeur trouvee (x=" << x << ") verifie x^5-x-1 = " << P(x) << "\n";

  return 0;
}
